Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.registry.entries
Class BaseEntry

    java.lang.Object
      com.bea.wsrp.registry.entries.BaseEntry

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  ProducerEntry, RegistryEntry

    public abstract class BaseEntry

extends Object
implements Serializable

Registry entry.

See Also
  Serialized Form

Constructor Summary
`protected` | `BaseEntry(String name)` Creates an entry with a name.

Method Summary
`void` | `addKeyword(String name, String value)` Adds a keyword with the given name and value.
`void` | `addKeywords(String name, String[] values)` Adds a keyword with the given and values.
`boolean` | `equals(Object o)`
`javax.xml.registry.infomodel.Key` | `getBusinessKey()` Returns the producer business key that offers this portlet.
`String` | `getDescription()` Returns the description.
`Map<String,String[]>` | `getKeywords()` Returns keywords.
`String` | `getName()` Returns the name.
`javax.xml.registry.infomodel.Key` | `getServiceKey()` Returns the unique for this entry in the registry.
`String` | `getTitle()` Returns the title.
`void` | `setBusinessKey(javax.xml.registry.infomodel.Key businessKey)` Sets the producer business key that offers this portlet.
`void` | `setDescription(String description)` Sets the description.
`void` | `setKeywords(Map<String,String[]> keywords)` Sets keywords.
`void` | `setServiceKey(javax.xml.registry.infomodel.Key serviceKey)` Sets the service key for this entry.
`void` | `setTitle(String title)` Sets the title.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseEntry

    protected BaseEntry(String name)

  Creates an entry with a name.

  Parameters
    `name` -

Method Detail

### getName

    public String getName()

  Returns the name.

  Returns
    name

### setTitle

    public void setTitle(String title)

  Sets the title.

  Parameters
    `title` - title

### getTitle

    public String getTitle()

  Returns the title.

  Returns
    title

### setDescription

    public void setDescription(String description)

  Sets the description.

  Parameters
    `description` -

### getDescription

    public String getDescription()

  Returns the description.

  Returns
    description

### setBusinessKey

    public void setBusinessKey(javax.xml.registry.infomodel.Key businessKey)

  Sets the producer business key that offers this portlet.

  Parameters
    `businessKey` -

### getBusinessKey

    public javax.xml.registry.infomodel.Key getBusinessKey()

  Returns the producer business key that offers this portlet.

  Returns
    producer business key

### setKeywords

    public void setKeywords(Map<String,String[]> keywords)

  Sets keywords. Each keyword has a name and an array of values.

  Parameters
    `keywords` -

### addKeyword

    public void addKeyword(String name,
                           String value)

  Adds a keyword with the given name and value.

  Parameters
    `name` - name
    `value` - value

### addKeywords

    public void addKeywords(String name,
                            String[] values)

  Adds a keyword with the given and values.

  Parameters
    `name` - name
    `values` - values

### getKeywords

    public Map<String,String[]> getKeywords()

  Returns keywords.

  Returns
    keywords

### getServiceKey

    public javax.xml.registry.infomodel.Key getServiceKey()

  Returns the unique for this entry in the registry.

  Returns
    key

### setServiceKey

    public void setServiceKey(javax.xml.registry.infomodel.Key serviceKey)

  Sets the service key for this entry.

  Parameters
    `serviceKey` -

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.